- NAME
- SYNOPSIS
- DESCRIPTION
- USAGE
- OPTIONS
  - --sqldump <filename>
  - --object (DEPRECATED)
  - --plugin '<plugin name>[=<arg>,<val>[;<arg>,<val>]...]'
  - --plugin list
  - --plugin help-<plugin name>
  - --force
- SEE ALSO

# NAME

rt-shredder - Script which wipe out tickets from RT DB

# SYNOPSIS

      rt-shredder --plugin list
      rt-shredder --plugin help-Tickets
      rt-shredder --plugin 'Tickets=query,Queue="general" and Status="deleted"'

      rt-shredder --sqldump unshred.sql --plugin ...
      rt-shredder --force --plugin ...

# DESCRIPTION

rt-shredder - is script that allow you to wipe out objects from RT DB. This script uses API that RT::Shredder module adds to RT. Script can be used as example of usage of the shredder API.

# USAGE

You can use several options to control which objects script should wipeout.

# OPTIONS

## --sqldump <filename>

Outputs INSERT queries into file. This dump can be used to restore data after wiping out.

By default creates files <RT_home>/var/data/RT-Shredder/<ISO_date>-XXXX.sql

## --object (DEPRECATED)

Option has been deprecated, use plugin `Objects` instead.

## --plugin '<plugin name>[=<arg>,<val>[;<arg>,<val>]...]'

You can use plugins to select RT objects with various conditions. See also --plugin list and --plugin help options.

## --plugin list

Output list of the available plugins.

## --plugin help-<plugin name>

Outputs help for specified plugin.

## --force

Script doesn't ask any questions.

# SEE ALSO

RT::Shredder

← Back to index